import request from '@/utils/request'

// 查询防汛抗旱队伍人员信息列表
export function listEhsFloodDroughtWorker(query) {
  return request({
    url: '/ehs/ehsFloodDroughtWorker/list',
    method: 'get',
    params: query
  })
}

// 查询防汛抗旱队伍人员信息详细
export function getEhsFloodDroughtWorker(id) {
  return request({
    url: '/ehs/ehsFloodDroughtWorker/' + id,
    method: 'get'
  })
}

// 新增会话框查询防汛抗旱队伍信息
export function getFloodDroughtTeamInfo(teamId) {
  return request({
    url: '/ehs/ehsFloodDroughtWorker/getTeamInfo/' + teamId,
    method: 'get'
  })
}

// 新增防汛抗旱队伍人员信息
export function addEhsFloodDroughtWorker(data) {
  return request({
    url: '/ehs/ehsFloodDroughtWorker',
    method: 'post',
    data: data
  })
}

// 修改防汛抗旱队伍人员信息
export function updateEhsFloodDroughtWorker(data) {
  return request({
    url: '/ehs/ehsFloodDroughtWorker',
    method: 'put',
    data: data
  })
}

// 删除防汛抗旱队伍人员信息
export function delEhsFloodDroughtWorker(id) {
  return request({
    url: '/ehs/ehsFloodDroughtWorker/' + id,
    method: 'delete'
  })
}
